package com.yunfeiyun.agmp.fms.service;

import com.yunfeiyun.agmp.fms.domain.FmsLand;
import com.yunfeiyun.agmp.fms.domain.resvo.FmsLandTotalResVo;

import java.util.List;


/**
 * 基地Service接口
 * 
 * @author 杨晓辉
 * @date 2023-05-15
 */
public interface IFmsLandService 
{
    /**
     * 查询基地
     * 
     * @param landId 基地主键
     * @return 基地
     */
    public FmsLand selectFmsLandByLandId(String landId);

    /**
     * 查询基地
     *
     * @return 基地
     */
    public FmsLandTotalResVo selectFmsLandTotal(FmsLand fmsLand);
    public int selectDevCount(FmsLand fmsLand);

    /**
     * 查询基地列表
     * 
     * @param fmsLand 基地
     * @return 基地集合
     */
    public List<FmsLand> selectFmsLandList(FmsLand fmsLand);

    /**
     * 新增基地
     * 
     * @param fmsLand 基地
     * @return 结果
     */
    public int insertFmsLand(FmsLand fmsLand);

    /**
     * 修改基地
     * 
     * @param fmsLand 基地
     * @return 结果
     */
    public int updateFmsLand(FmsLand fmsLand);

    /**
     * 批量删除基地
     * 
     * @param landIds 需要删除的基地主键集合
     * @return 结果
     */
    public int deleteFmsLandByLandIds(String[] landIds);

    /**
     * 删除基地信息
     * 
     * @param landId 基地主键
     * @return 结果
     */
    public int deleteFmsLandByLandId(String landId);

}
